%global octpkg ncarray

Name:           octave-%{octpkg}
Version:        1.0.3
Release:        2%{?dist}
Summary:        Access NetCDF files as a multi-dimensional array

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/ncarray/
Source0:        http://downloads.sourceforge.net/octave/ncarray-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  octave-devel
Requires:       octave(api) = %{octave_api}
Requires:       octave-netcdf
Requires:       octave-statistics
Requires(post): octave
Requires(postun): octave

%description
Access a single or a collection of NetCDF files as a multi-dimensional array.


%prep
%setup -q -n ncarray

%build
%octave_pkg_build

%install
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%doc COPYING
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/@BaseArray/
%{octpkgdir}/@CatArray/
%{octpkgdir}/@ncArray/
%{octpkgdir}/@ncBaseArray/
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo
%{octpkgdir}/private/


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 7 2014 Orion Poplawski <orion@cora.nwra.com> 1.0.3-1
- Update to 1.0.3

* Wed Apr 16 2014 Orion Poplawski <orion@cora.nwra.com> 1.0.2-1
- Initial Fedora package
